package com.muyu.market.admain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "商品展示", description = "商品展示")
public class ProductSaveResp {

    /**
     * 商品名称
     */
    @Schema(type = "String",defaultValue = "商品名称",description = "商品名称")
    private String productName;
    /**
     * 商品价格
     */
    @Schema(description = "商品价格",type = "BigDecimal",defaultValue = "25.3")
    private BigDecimal productPrice;
    /**
     * 库存数量
     */
    @Schema(type = "String",defaultValue = "库存数量",description = "库存数量")
    private String stock;
    /**
     * 商品描述
     */
    @Schema(description = "商品描述",defaultValue = "------",type = "String")
    private String description;
    /**
     * 商品状态（1: 在售, 0: 下架）
     */
    @Schema(description = "商品状态:同数据字典",defaultValue = "Y",type = "String")
    private String status;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间",defaultValue = "2024-8-15 10:00:57",type = "Date")
    private Date createTime;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Date updateTime;







}
