package com.muyu.market.server.service.Impl;

import com.alibaba.csp.sentinel.util.StringUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.admain.Product;
import com.muyu.market.admain.response.ProductListResp;
import com.muyu.market.server.mapper.ProductMapper;
import com.muyu.market.server.service.ProductService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ProductServiceImpl extends ServiceImpl<ProductMapper, Product> implements ProductService {
    @Override
    public List<ProductListResp> findByproductList(ProductListResp productListResp) {

        LambdaQueryWrapper<Product> lambdaQueryWrapperlist = new LambdaQueryWrapper<>();
        /**
         * 查询接口名称
         */
        lambdaQueryWrapperlist.like(StringUtil.isNotEmpty(productListResp.getProductName())
        ,Product::getProductName,productListResp.getProductName()
        );
        /**
         * 根据金额查询
         * ge(>=)
         */
        lambdaQueryWrapperlist.ge(
                Product::getProductPrice,productListResp.getBegin()
        );
        /**
         * 根据金额查询
         * le(<=)
         */
        lambdaQueryWrapperlist.le(
                Product::getProductPrice,productListResp.getEnd()
        );

        List<Product> productlist = this.list(lambdaQueryWrapperlist);

        return productlist.stream()
                .map(productsel -> ProductListResp.selProductList(productsel))
                .toList();

    }

}
